Merge pull request 'chore(cleanup): log compression test does not belong' (#470) from earl-warren/end-to-end:wip-compress into main

Reviewed-on: https://code.forgejo.org/forgejo/end-to-end/pulls/470
Reviewed-by: Michael Kriese <michael.kriese@gmx.de>
This commit is contained in:
earl-warren 2025-01-11 18:21:26 +00:00
commit ae389fc5a2
2 changed files with 1 additions and 23 deletions

View file

@ -126,13 +126,6 @@ function test_actions() {
log_info "Testing actions with Forgejo $version & Forgejo runner $runner_version"
run actions_verify_example echo
if dpkg --compare-versions $version ge 9.0; then
# depends on run actions_verify_example echo
# run it immediately after
run actions_verify_feature logs-compression
fi
run actions_verify_example with-docker-tcp
if dpkg --compare-versions $runner_version gt 5.0.2; then
for example in with-docker-host with-docker-socket without-docker-socket; do
@ -150,7 +143,7 @@ function test_actions() {
done
fi
for example in config-options cache checkout service container expression local-action docker-action if if-fail push tag push-cancel artifacts pull-request context; do
for example in echo config-options cache checkout service container expression local-action docker-action if if-fail push tag push-cancel artifacts pull-request context; do
run actions_verify_example $example
done

View file

@ -1,15 +0,0 @@
#!/bin/bash
set -e
source $FEATURE_DIR/../../lib/lib.sh
source $FEATURE_DIR/../../forgejo/fixtures.sh
if ! retry bash -c "find $DIR/forgejo-work-path/data/actions_log/root/example-echo | grep --quiet log.zst"; then
(
cd $DIR/forgejo-work-path
find data
)
echo expected a single log.zst file in data/actions_log/root/example-echo
exit 1
fi